<?php

function view_node_filter_views_handlers() {
	return array(
		"info" => array(
			"path" => drupal_get_path("module", "view_node_filter" . "/includes")
		),
		"handlers" => array(
			"view_node_filter_views_handlers_year_dropdown" => array(
				"parent" => "views_handler_filter"
			)
		)
	);
}

function view_node_filter_views_data() {
	$data = array();

	// The flexible date filter.
	$data['node']['year_dropdown'] = array(
		'group' => t('Content'),
		'real field'  => 'year_dropdown', // Not a real field, but that doesn't matter
		'title' => t('Custom Year Dropdown'),
		'help' => t('Filter nodes based on year dropdown'),
		'filter' => array(
			'handler' => 'view_node_filter_views_handlers_year_dropdown'
		)
	); 
  
	return $data;
}