<?php

function dcnj_preprocess_node(&$vars) {
  ## Shut off the links & comments by default
  hide($vars['content']['links']);
  hide($vars['content']['comments']);
  //..remove hide() calls from template

  ## Set up default tpl variables
  // Stating this upfront makes your code self-documented
  $vars['container_element'] = "article";
  $vars['pre_teaser_body'] = null;
  $vars['pre_full_content'] = null;
  $vars['post_link_body'] = null;
  $vars['prev_next'] = false;
  $vars['teaser_title_element'] = "h2";

  ## Node-type specific actions
  switch($vars['type']) {
    case "article":
      $vars['pre_teaser_body'] = "Hey look... i'm here before the teaser"; // Just an example, don't write content like that
      $vars['pre_full_content'] = "Hey look... i'm here before the content"; // ...what he said.
      break;
  }
}